%global momorel 8
%global		__perl_requires %{_tmppath}/%{name}-%{version}.requires

Name:           perl-Sys-Hostname-Long
Version:        1.4
Release:        %{momorel}m%{?dist}
Summary:        Try every conceivable way to get full hostname
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Sys-Hostname-Long/
Source0:	http://www.cpan.org/modules/by-module/Sys/Sys-Hostname-Long-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
How to get the host full name in perl on multiple operating systems (mac,
windows, unix* etc)

%prep
%setup -q -n Sys-Hostname-Long-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

# custom requires script
%{__cat} <<EOF > %{__perl_requires}
#!/bin/sh
%{__cat} - | %{__grep} -v %{_docdir} | /usr/lib/rpm/perl.req $* \
        | %{__grep} -v 'perl(Win32'
EOF
%{__chmod} 700 %{__perl_requires}

%clean
rm -rf %{buildroot}
%{__rm} -f %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-2m)
- rebuild against gcc43

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
